import Vue from 'vue';
import { IWebComponentInstance } from '../../../fx';
import { ITestComponentSetting } from "./ITestComponentSetting";
import { TestComponentSettingsModel } from "./ITestComponentSetting";
import { SettingsService } from '../../../fx/services';
export declare class TestComponentSettings extends Vue implements IWebComponentInstance, ITestComponentSetting {
    currentSettings: TestComponentSettingsModel;
    opened: boolean;
    onClosed: () => void;
    settingsKey: string;
    protected settingsService: SettingsService<any>;
    private changedSettings;
    private settingsPaneModel;
    created(): void;
    mounted(): void;
    private close();
    private save();
    private renderSettings();
    render(h: any): JSX.Element;
}
